Summary:     802.1Q VLAN implementation for Linux
Name:        vlan
Version:     1.6
Release:     2.pp
License:     GPL
Group:       System/Networking
Source0:     http://www.candelatech.com/~greear/vlan/vlan.%{version}.tar.gz
Source1:     redhat-network-vlan.patch
URL:         http://www.candelatech.com/~greear/vlan/
Buildroot:   /var/tmp/vlan-root
Vendor:      Peter Pramberger
Packager:    Peter Pramberger <peter.pramberger@1012surf.net>
Requires:    patch >= 2.5
Provides:    vlan.pp
Prereq:      /bin/bash
BuildPrereq: gcc >= 2.95 /bin/mkdir /usr/bin/make /usr/bin/install
ExclusiveOS: linux


%description
VLAN is an implementation of the 802.1Q VLAN protocol for Linux. It
allows one to have Virtual LANs on a single ethernet cable, giving
you the ability to segregate LANs efficiently. It should support up
to 4094 vlan interfaces per ethernet device. 

This package contains the vlan config utility and the patch for the
redhat network init script.


%prep
%setup -q -n vlan


%build
make CC="g++ $RPM_OPT_FLAGS" all


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
mkdir -p $RPM_BUILD_ROOT/usr/share/vlan
install -m 755 vconfig $RPM_BUILD_ROOT/sbin
install -m 644 vconfig.8 $RPM_BUILD_ROOT/usr/man/man8
install -m 444 $RPM_SOURCE_DIR/redhat-network-vlan.patch $RPM_BUILD_ROOT/usr/share/vlan


%post
patchfile=/usr/share/vlan/redhat-network-vlan.patch
if [ -r /etc/redhat-release ]; then
   RHVER=`cat /etc/redhat-release | sed -e 's/[a-zA-Z() ]//g'`
   if [ "${RHVER}x" == "7.3x" ]; then
      patch -p0 -b < ${patchfile}
   else
      echo "Your RedHat version (${RHVER}) is not supported. You have to "
      echo "manually patch your network init script (/etc/init.d/network)"
      echo "to automatically configure vlan interfaces at startup.       "
   fi
else
   echo "Could not determine your RedHat version (/etc/redhat-release is"
   echo "missing). You have to manually patch your network init script  "
   echo "to automatically configure vlan interfaces at startup. See     "
   echo "   ${patchfile}"
fi


%preun
patchfile=/usr/share/vlan/redhat-network-vlan.patch
if [ -r /etc/redhat-release ]; then
   RHVER=`cat /etc/redhat-release | sed -e 's/[a-zA-Z() ]//g'`
   if [ "${RHVER}x" == "7.3x" ]; then
      patch -p0 -R < ${patchfile}
   else
      echo "Please remove any references to vconfig from your network init"
      echo "script (if any).                                              "
   fi
else
   echo "Please remove any references to vconfig from your network init"
   echo "script (if any).                                              "
fi


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CHANGELOG README *.html *.pl *.patch
%doc %dir contrib
%attr(750,root,root) /sbin/*
/usr/man/man8/*
%dir /usr/share/vlan
%attr(444,root,root) /usr/share/vlan/*


%changelog
* Tue Feb 18 2003 peter.pramberger@1012surf.net
- created

